// HexFile.h: interface for the CHexFile class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HEXFILE_H__1437847D_9A0F_4D4E_BDCB_78681ADFFF29__INCLUDED_)
#define AFX_HEXFILE_H__1437847D_9A0F_4D4E_BDCB_78681ADFFF29__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CHexFile
{
public:
	CHexFile();
	virtual ~CHexFile();
	BOOL Open(LPCTSTR lpszFileName);
	void Close();
	DWORD GetLength();
	DWORD ReadHuge(LPVOID pBuffer, DWORD nCount);
private:
	BOOL m_bDataValid;
	LPBYTE m_pDataBuffer;
	DWORD m_dwDataSize;
};

#endif // !defined(AFX_HEXFILE_H__1437847D_9A0F_4D4E_BDCB_78681ADFFF29__INCLUDED_)
